# ShippingRate

shippingRate

## get ShippingRates

> Service to get the all the shipping rates for the shipmentId.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"shippingRate","description":"shippingRate"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.FulfillmentServices.getShippingRates.Out":{"type":"object","properties":{"shippingRates":{"type":"array"}}}}},"paths":{"/shippingRate":{"get":{"tags":["shippingRate"],"summary":"get ShippingRates","description":"Service to get the all the shipping rates for the shipmentId.","parameters":[{"schema":{"type":"string","format":""},"name":"shipmentId","in":"query","required":false,"description":"The ShipmentId to get the shipping rates."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.FulfillmentServices.getShippingRates.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/shippingrate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
